%def_disable static

Name: cvtool
Version: 0.2.3
Release: alt2

Summary: A simple image management, viewing, and printing program
License: GPLv2+
Group: Graphics

Url: http://cvtool.sourceforge.net/
Source: http://dl.sourceforge.net/cvtool/cvtool-%version.tar.bz2

# Automatically added by buildreq on Mon Jan 21 2008
BuildRequires: gcc-c++ libcairo-devel libglew-devel libstdc++-devel-static

%description
flphoto is a basic image management and display program based on the FLTK
toolkit. It can read, display, print, and export many image file formats,
and supports EXIF information provided by digital cameras.

%package -n libcvl
Summary: Library for image and data processing using graphics processing units (GPUs)
Group: System/Libraries

%description -n libcvl
CVL is a library for image and data processing using graphics processing
units (GPUs).

It is suitable as a base for GPGPU applications (see http://www.gpgpu.org/).
CVL is based on OpenGL 2.1 and requires the GLEW library.

%package -n libcvl-devel
Summary: Development files of library for image and data processing using GPUs
Group: Development/C
Requires: libcvl = %version-%release

%description -n libcvl-devel
CVL is a library for image and data processing using graphics processing
units (GPUs).

It is suitable as a base for GPGPU applications (see http://www.gpgpu.org/).
CVL is based on OpenGL 2.1 and requires the GLEW library.


%prep
%setup

%build
%configure %{subst_enable static}
%make_build LIBS="-lrt -lm -lGL -lGLU -lGLEW"

%install
%makeinstall

%post
%install_info cvtool.info

%preun
%uninstall_info cvtool.info

%post -n libcvl
%post_ldconfig

%postun -n libcvl
%postun_ldconfig

%post -n libcvl-devel
%install_info cvl.info

%preun -n libcvl-devel
%uninstall_info cvl.info

%files
%_bindir/*
%_man1dir/*
%_infodir/cvtool.info*
%exclude /usr/share/doc

%files -n libcvl
%_libdir/*.so.*

%files -n libcvl-devel
%_includedir/*
%_libdir/*.so
%_infodir/cvl.info*

%changelog
* Thu Jan 24 2008 Victor Forsyuk <force@altlinux.org> 0.2.3-alt2
- Fix wring URL.

* Mon Jan 21 2008 Victor Forsyuk <force@altlinux.org> 0.2.3-alt1
- Initial build.
